## loopSound

### Syntax:

    loopSound (sound [, sound [, sound...]]);

    loopSound (sound [, sound [, sound...]], loopStyle);

### Purpose:

Plays one or more sounds, starting immediately. The sound parameters must be file handles. Supported sound formats are wave files (.WAV) and Ogg Vorbis (.OGG).

If loopStyle is zero, the sounds are played in order and then stop. If loopStyle is one, the sounds are played in order and then the final sound is looped. If loopStyle is two, the whole playlist is looped.

A call to stopSound with the currently playing sound will stop the sound, and cancel any sounds waiting in line to be played. But please note that stopSound only affects the currently playing sound: Stopping a sound that has finished playing, or one that hasn't yet started playing will have no effect.

### Return value:

No return value.

### See also:

Using Audio in SLUDGE

cacheSound

playSound

stopSound

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012